#!/bin/sh

cat gcanna.ctd gijutu.ctd names-ut.ctd \
ekimei.ctd kaisha.ctd > anthy_words.txt

ruby 01-utf8-contents-converter.rb prime-dict
ruby 01-utf8-contents-converter.rb anthy_words.txt
ruby 02-split-cannadic.rb anthy_words.txt.utf8
ruby 03-get-anthy-noun.rb anthy_words.txt.utf8.split
ruby 04-change-orders.rb prime-dict.utf8
ruby 04-change-orders-anthy.rb anthy_words.txt.utf8.split.list

ruby 01-utf8-contents-converter.rb chimei.ctd
ruby 08-convert-chimei.rb chimei.ctd.utf8

ruby 01-utf8-contents-converter.rb zipcode.t
ruby 08-convert-chimei.rb zipcode.t.utf8

cat *.order > prime-dict-all
ruby 05-sortdic.rb prime-dict-all
ruby 06-remove-duplicates.rb prime-dict-all
ruby 07-euc-contents-converter.rb prime-dict-all.removed

mv prime-dict-all.removed.euc prime-dict.new
rm -f anthy_words.txt
rm -f *.list*
rm -f *.utf8*
rm -f prime-dict-all*
